Package com.sas.lsaf.workflow.task

## Class UserTaskUpdateInfo

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.Element
    - - com.sas.lsaf.workflow.task.Task
      - - com.sas.lsaf.workflow.task.UserTask
        - - com.sas.lsaf.workflow.task.UserTaskUpdateInfo

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`
  Direct Known Subclasses:
    `UserTaskDetails`

      public class UserTaskUpdateInfo
      extends UserTask

  The class that represents a user task in a process flow with attributes that can be updated.
  Since:
    2.5
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.task.Task

      `Task.Complexity, Task.Priority, Task.TaskStatus`

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.element.Element

      `Element.ElementType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserTaskUpdateInfo​(UserTask userTask, java.util.Set<Principal> candidates, java.util.Set<DataProperty> completionProperties)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<Principal>` | `getCandidates()` | Gets the candidates for this user task.
    `java.util.Set<DataProperty>` | `getCompletionProperties()` | Gets the completion properties for this user task.
    `void` | `setCandidates​(java.util.Set<Principal> candidates)` | Sets the candidates for this user task.
    `void` | `setCompletionProperties​(java.util.Set<DataProperty> completionProperties)` | Sets the completion properties for this user task.

    - ### Methods inherited from class com.sas.lsaf.workflow.task.UserTask

      `getActualHours, getAssigned, getAssignee, getComplexity, getDueDate, getPriority, setActualHours, setAssignee, setComplexity, setDueDate, setPriority, toString`

    - ### Methods inherited from class com.sas.lsaf.workflow.task.Task

      `getAttributes, getStarted, getTaskStatus, setAttributes`

    - ### Methods inherited from class com.sas.lsaf.workflow.element.Element

      `equals, getCreated, getDescription, getElementId, getFlowStatus, getName, getProcessFlowId, getType, hashCode, setDescription, setName`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTaskUpdateInfo

          public UserTaskUpdateInfo​(UserTask userTask,
                                    java.util.Set<Principal> candidates,
                                    java.util.Set<DataProperty> completionProperties)

      Constructor.
      Parameters:
        `userTask` - The base user task.
        `candidates` - The candidates for the user task.
        `completionProperties` - the completion properties of the task.

  - ### Method Detail

    - #### getCandidates

          public java.util.Set<Principal> getCandidates()

      Gets the candidates for this user task.
      Returns:
        The candidates.

    - #### setCandidates

          public void setCandidates​(java.util.Set<Principal> candidates)

      Sets the candidates for this user task.
      Parameters:
        `candidates` - The candidates for this user task.

    - #### getCompletionProperties

          public java.util.Set<DataProperty> getCompletionProperties()

      Gets the completion properties for this user task.
      Returns:
        The completion properties.

    - #### setCompletionProperties

          public void setCompletionProperties​(java.util.Set<DataProperty> completionProperties)

      Sets the completion properties for this user task.
      Parameters:
        `completionProperties` - The completion properties for this user task.